logging-log4j-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Matt Sicker (JIRA)" <j...@apache.org>
Subject [jira] [Created] (LOG4J2-613) log4j-core bundle specifies javax.servlet version range [3.0,4)
Date Thu, 24 Apr 2014 21:05:15 GMT
Matt Sicker created LOG4J2-613:
----------------------------------

             Summary: log4j-core bundle specifies javax.servlet version range [3.0,4)
                 Key: LOG4J2-613
                 URL: https://issues.apache.org/jira/browse/LOG4J2-613
             Project: Log4j 2
          Issue Type: Bug
          Components: Core
    Affects Versions: 2.0-rc2
         Environment: Felix, Karaf, ServiceMix 5.0.0
            Reporter: Matt Sicker
            Assignee: Matt Sicker


The Import-Package section specifies {{javax.servlet;version="[3.0,4)"}} when it should probably
be {{javax.servlet;version="[2.5,4)"}}. This is most likely due to the fact that we compile
against Servlet 3.0; maven-bundle-plugin is picking up on this and using that version number
for the range.



--
This message was sent by Atlassian JIRA
(v6.2#6252)

---------------------------------------------------------------------
To unsubscribe, e-mail: log4j-dev-unsubscribe@logging.apache.org
For additional commands, e-mail: log4j-dev-help@logging.apache.org


Mime
View raw message